Subject: Bug#547902: dash only reads the first character from pipe (bash reads whole line)

From: Moritz Muehlenhoff <[email-masked]>
Date: Tue, 24 Nov 2009 22:16:06 +0100

On Thu, Nov 19, 2009 at 09:27:47AM +0100, Christian Hohnstaedt wrote:
> On Wed, Nov 18, 2009 at 10:13:48PM +0100, Moritz Muehlenhoff wrote:
> > On Tue, Oct 13, 2009 at 11:13:01AM +0000, Gerrit Pape wrote:
> > > tags 547902 + patch
> > > quit
> > 
> > [ Adding Christian to CC: ]
> > 
> > Christian, did you submit your patch upstream?
> 
> No, not yet.

Please keep this bug CCed if you submit it.
 
> It still has the problem that reading the value(s) bytewise returns garbage
> if the value(s) change during reading.
> 
> But I can try to send it to lkml and see what they say.
> Shall I point to this bug-report and may I add a "Tested-by" line ?

I didn't test it myself, but maybe Corin can give feedback on this.

Cheers,
        Moritz